Command reference
deployments auth
Authentication profiles
| Command | Summary |
|---|---|
deployments auth login | Log in with a browser session or bearer token |
deployments auth logout | Remove credentials from a profile |
deployments auth login
Log in with a browser session or bearer token.
deployments auth login- Calls
POST /v1/device-authorizations(SDKstartDeviceAuthorization),POST /v1/device-authorizations/token(SDKexchangeDeviceAuthorization),GET /v1/whoami(SDKgetIdentity).
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--profile | string (name) | Configuration profile | ||
--api-url | string (url) | Platform API base URL | ||
--api-key | string (key) | Bearer token | ||
--api-key-file | string (path) | File containing the bearer token | ||
--live | boolean | Use the configured live API transport | ||
--mock | boolean | Use the local mock transport | ||
--json | boolean | Emit JSON output | ||
--quiet | boolean | Suppress successful output | ||
--color, --no-color | boolean | true | Use ANSI color |
Accepts only the flags listed here.
deployments auth logout
Remove credentials from a profile.
deployments auth logout- Calls
POST /v1/device-authorizations/revoke(SDKrevokeDeviceAuthorization).
| Flag | Type | Required | Default | Description |
|---|---|---|---|---|
--profile | string (name) | Configuration profile | ||
--json | boolean | Emit JSON output | ||
--quiet | boolean | Suppress successful output | ||
--color, --no-color | boolean | true | Use ANSI color |
Accepts only the flags listed here.